[project]
name = "pibooth-stillimage-camera"
dynamic = ["version"]
description = "Dummy camera for pibooth, producing still images for testing"
readme = "README.md"
requires-python = ">=3.6"
license = { text = "AGPLv3" }
classifiers = [
    'Development Status :: 5 - Production/Stable',
    'Environment :: Other Environment',
    'Intended Audience :: Developers',
    'Intended Audience :: End Users/Desktop',
    'License :: OSI Approved :: GNU Affero General Public License v3',
    'Operating System :: POSIX :: Linux',
    'Programming Language :: Python :: 3.7',
    'Programming Language :: Python :: 3.8',
    'Programming Language :: Python :: 3.9',
    'Natural Language :: English',
    'Topic :: Multimedia :: Graphics :: Capture :: Digital Camera',
]
keywords = [
	'Raspberry Pi',
        'camera',
        'photobooth',
	'pibooth',
]
dependencies = [
	"pibooth>2.0.0",
]

[project.urls]
"Homepage" = "https://gitlab.com/wolface/wolfoto-project/pibooth-stillimage-camera"

[project.entry-points.pibooth]
"pibooth_stillimage_camera" = "pibooth_stillimage_camera"

[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"


[tool.setuptools]
py-modules = ["pibooth_stillimage_camera"]
zip-safe = false

[tool.setuptools.dynamic]
version = {attr = "pibooth_stillimage_camera.__version__" }
